1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-04-19 02:10:57 +02:00
Files
coreutils/tests/mv/into-self-2
Jim Meyering 91b5e686d5 Adapt to reflect this change in behavior.
Make sure the VERSION_CONTROL envvar is not set.
Run diff if comparison fails.
1999-12-04 17:30:16 +00:00

72 lines
1.3 KiB
Bash
Executable File

#!/bin/sh
# Force mv to use the copying code.
# Consider the case where SRC and DEST are on different
# partitions and DEST is a symlink to SRC.
if test "$VERBOSE" = yes; then
set -x
mv --version
fi
. $srcdir/setup
if test -z "$other_partition_tmpdir"; then
exit 77
fi
file="$other_partition_tmpdir/file"
symlink=symlink
fail=0
trap 'rm -fr out out2 exp $file $symlink $other_partition_tmpdir; exit $fail' \
0 1 2 3 15
framework_failure=0
rm -f $file $symlink || framework_failure=1
echo whatever > $file || framework_failure=1
ln -s $file $symlink || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
exit 1
fi
# Make sure we get English translations.
LANGUAGE=C
export LANGUAGE
LC_ALL=C
export LC_ALL
LANG=C
export LANG
unset VERSION_CONTROL
if test "${VERSION_CONTROL+set}" = set; then
echo '$0: the VERSION_CONTROL envvar is set --' \
' unset it and rerun this test' >&2
exit 1
fi
# This mv command should exit nonzero.
mv $symlink $file > out 2>&1 && fail=1
# This should succeed.
mv $file $symlink || fail=1
sed \
-e "s,mv:,XXX:," \
-e "s,$file,YYY," \
-e "s,$symlink,ZZZ," \
out > out2
cat > exp <<\EOF
XXX: `ZZZ' and `YYY' are the same file
EOF
#'
cmp out2 exp || fail=1
test $fail = 1 && diff out2 exp 2> /dev/null
exit $fail